Skip to main content
GET
Get framework by ID

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

frameworkId
string
required

Response

200 - application/json

Ok

id
string
required

The framework's unique ID.

displayName
string
required

The framework's display name.

shorthandName
string
required

The short version of the framework's display name.

description
string
required

The framework's description.

numControlsCompleted
number<double>
required

The number of completed controls in the framework.

numControlsTotal
number<double>
required

The total number of controls in the framework.

numDocumentsPassing
number<double>
required

The number of passing documents in the framework.

numDocumentsTotal
number<double>
required

The total number of documents in the framework.

numTestsPassing
number<double>
required

The number of passing tests in the framework.

numTestsTotal
number<double>
required

The total number of tests in the framework.

requirementCategories
object[]
required

The famework's list of requirement categories.